import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router'
const routes: Array<RouteRecordRaw> = [
  {
    path: '/:routerName*',
    name: 'demension',
    component: () => import('@/views/demension/list.vue')
  },
  {
    path: '/',
    name: 'index',
    component: () => import('@/views/index.vue')
  },
  // {
  //   path: '/demension',
  //   name: 'demension',
  //   component: () => import('@/views/demension/list.vue')
  // },
  {
    path: '/:routerName*Det',
    name: 'detail',
    component: () => import('@/views/demension/detail.vue')
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})


router.beforeEach((to, from, next) => {
  // if (!to.path.includes('Det')) {
  // next({ path: '/demension' })
  // }
  next()
  // console.log(to)

})

// router.afterEach((to) => {
// })

export default router
