import { DemensionPagesListInter, DemensionPagesInter } from './../js-pages/types'
import { useRoute } from 'vue-router'
import { ViewListInter } from '@/js-pages/types'
import pagesArr from '@/js-pages'


//跳转企业
export const $goCompany = (item: ViewListInter, dataItem: any) => {
  // console.log(item.companyId, dataItem[item.value])

  if (item.companyId && dataItem[item.value] && dataItem[item.companyId]) {
    console.log(dataItem[item.companyId], dataItem[item.value])
  }
}

//选择匹配的企业维度
export const $getDemension = (routerName?: string) => {
  const route = useRoute()
  const allDemensionArr = [] as DemensionPagesListInter[]
  const demensionArr = (arr: any[]): DemensionPagesInter[] => {
    return arr.reduce((total, item: any) => item.list ? demensionArr(item.list) : allDemensionArr.push(item), [])
  }
  demensionArr(pagesArr)
  const selectDemension = allDemensionArr.find(item => (routerName ? `/${routerName}` : route.path) === `/${item.routing}`)!

  return {
    selectDemension,
    allDemensionArr
  }
}

//跳转外部URL
export const $goOuterUrl = (url: string) => {
  window.open(url)
}
